Chuyển đến nội dung
Diễn đàn CADViet
thanhduan2407

'Tạo khung bản đồ'

Các bài được khuyến nghị

Mình ko dùng Cad2014 nên bạn hỏi mình ko trả lời đc. Tuy nhiên 2014 cao hơn 2004 nên mình nghĩ là được. Bạn hình như vẫn ko test nhỉ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình ko dùng Cad2014 nên bạn hỏi mình ko trả lời đc. Tuy nhiên 2014 cao hơn 2004 nên mình nghĩ là được. Bạn hình như vẫn ko test nhỉ?

Không phải hình như, mà là mình chưa test. Bởi lẽ, như mình trao đổi ở trên nếu có mem nào dùng Cad2014 rồi mà không cài được thì khuyến cáo mình thì mình sẽ không cài nữa. Vì thật ra, cài xong rồi mà nó không làm việc trên phiên bản của mình có phải là không tốt không? Còn nếu, chưa có mem nào thử thì mình sẽ là người thử đầu tiên. Và dĩ nhiên, lần sau khi gặp câu hỏi tương tự thì mình cũng đưa ra khuyến cáo cho mọi người thôi. Trân trọng.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hôm trước mình có yêu cầu người này viết (Có phí). Nhưng sau thì không mua nữa.

Nếu mọi người thấy được thì liên hệ tác giả để xin thử hoặc phí thấp thì mua. Hì hì!

http://cadonline.duyxuyen.vn/modules.php?name=chiaseungdung&go=ViewApplication&lid=90

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hôm trước mình có yêu cầu người này viết (Có phí). Nhưng sau thì không mua nữa.

Nếu mọi người thấy được thì liên hệ tác giả để xin thử hoặc phí thấp thì mua. Hì hì!

http://cadonline.duyxuyen.vn/modules.php?name=chiaseungdung&go=ViewApplication&lid=90

Video bạn gửi cũng chẳng khác gì lisp mình up ở trên. Mình cũng rất kỳ công để tạo ra nó nhưng chẳng có phí. Bạn lại PR phần mềm rồi. ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em thấy trong topo có phần vẽ bản đồ xiên đấy bác chủ... ban ngâm cứu xem

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Hiện tại mình có lisp tạo khung bản đồ tự động rất hay. Nhưng mình vẫn chưa hài lòng lắm vì chỉ tạo được khung bản đồ ở khi hình chữ nhật ở dạng đứng, nếu hình chữ nhật mà bị nghiêng thì không đúng theo ý muốn.

Mình post lên đây lisp đó, nếu ai cần thì download về dùng tạm.

 

;;; Tu dong ve khung ban do .

 

 

(defun c:kh ();;; (princ "\n                      CHUONG TRINH VE KHUNG BAN DO .")(command "osnap" "Endpoint,Intersection")(setvar "blipmode" 1)   (setq sp (getpoint "\n Chon goc khung thu 1 (Goc trai ben tren): "))   (setq ep (getpoint sp "\n Chon goc khung thu 2 (Goc phai ben duoi): "));   (princ "\n Chon goc khung thu 1 (Goc trai ben tren): ");   (setq sp (getpoint)) ;  (prompt "\n Chon goc khung thu 2 (Goc phai ben duoi): ") ;  (setq ep (getcorner (getpoint)) )  (command "osnap" "off")   (setq tyle (getint "\n Hay cho ty le ban do <500>: "))   (if (= tyle nil) (setq tyle 500.0))(setvar "blipmode" 0);;--- Dat bien chung cho chuong trinh -----  (setq x1 (nth 0 sp)) (setq y1 (nth 1 sp))  (setq x2 (nth 0 ep)) (setq y2 (nth 1 ep))  (setq dayn (/ (* tyle 0.05) 500.0))  (setq kctn (/ tyle 142.857))  (setq ktmk (/ (* tyle 1.75) 500.0))  (setq caoc (/ (* tyle 0.90) 500.0))  (setq dich (/ (* tyle 0.33) 500.0));;;---- ve khung trong ------   (command "LAYER" "M" "KHUNG" "")   (Command "PLINE"             (list x1 y1)             (list x2 y1)             (list x2 y2)             (list x1 y2)             "C"   );;;;-------Ve khung ngoai ----------   (command "LAYER" "M" "KHUNG" "")   (Command "PLINE"             (list (- x1 kctn) (+ y1 kctn)) "w" dayn dayn             (list (+ x2 kctn) (+ y1 kctn))             (list (+ x2 kctn) (- y2 kctn))             (list (- x1 kctn) (- y2 kctn))             "C"   );;;------- Ve net ngang va doc ------- (setq nhay (/ tyle 10.0)) (setq tmpX1 (/ x1 nhay)) (setq tmpX2 (fix tmpX1)) (setq x (* tmpX2 nhay)) (setq tmpY1 (/ y2 nhay)) (setq tmpY2 (fix tmpY1)) (setq y (* tmpY2 nhay));-------------------------------------(command "style" "STANDARD" "" caoc "" "" "" "" "" "")(while (<= x x2)       (if (>= x x1)          (command "LINE" (list x y1) (list x (+ y1 kctn)) ""                   "LINE" (list x y2) (list x (- y2 kctn)) ""                   "TEXT" "C" (list x (+ y1 (/ kctn 2))) 0. (rtos x 2 0)                   "TEXT" "TC" (list x (- y2 (/ kctn 2))) 0. (rtos x 2 0)          )       ) ;endif  (setq x (+ x nhay)))(while (<= y y1)   (setq tmp1 (rtos y 2 0))   (setq len1 (strlen tmp1))   (if ( <= len1 3)      (progn (setq bef "000") (setq aff tmp1))      (progn (setq bef (substr tmp1 1 (- len1 3)))       (setq aff (substr tmp1 (- len1 2) 3))      )   ) ;;if      (if (>= y y2)           (command "LINE" (list x1 y) (list (- x1 kctn) y) ""                    "LINE" (list x2 y) (list (+ x2 kctn) y) ""                    "TEXT" "BC" (list (- x1 (/ kctn 2)) y) 0. bef                    "TEXT" "TC" (list (- x1 (/ kctn 2)) (- y dich)) 0. aff                    "TEXT" "BC" (list (+ x2 (/ kctn 2)) y) 0. bef                    "TEXT" "TC" (list (+ x2 (/ kctn 2)) (- y dich)) 0. aff           )      ); endif  (setq y (+ y nhay)));--------- Ve chu thap --------------(setq nhay (/ tyle 10.0)) (setq tmpX1 (/ x1 nhay)) (setq tmpX2 (fix tmpX1))(setq x (* tmpX2 nhay))(setq tmpY1 (/ y2 nhay)) (setq tmpY2 (fix tmpY1))(while (< x x2)  (setq y (* tmpY2 nhay))     (while (< y y1)        (if (and (>= x x1) (>= y y2))           (command "LINE" (list (- x ktmk) y) (list (+ x ktmk) y) "")        )        (if (and (>= y y2) (>= x x1))           (command "LINE" (list x (- y ktmk)) (list x (+ y ktmk)) "")        )       (setq y (+ y nhay))     )  (setq x (+ x nhay)))(command "REDRAW")); End of program
Xin nhờ các pro có thể chỉnh sửa giúp lisp này được ko?

Với thuật toán như trên, mình muốn quét 1 lần tất cả các hình như nhật (kể cả các hình chữ nhật bị nghiêng) ta tạo được các mắt lưới dấu thập (các mắt lưới đều song song với trục X và trục Y) đồng thời trên khung ghi text các tọa độ của mắt lưới đó. Mình upload ví dụ lên đây. Kính mong các Pro giúp đỡ

Ví dụ : http://www.4shared.com/file/bMvNVwMM/khungtoado.html

Cảm ơn mọi người đã quan tâm.

Chương trình này mình đã dùng ở TEDIPORT nhưng đó là phần mềm tích hợp trong Cad phải cài đặt

Nó tên là EGS hay gì đó mà lâu rồi mình không nhớ nổi. Trên khung mình có thể ghi theo tọa độ X Y hay tọa độ địa lý B L đều được hết

Nếu ai có phần mềm đó có thể gửi cho mình được không?

Bạn có thể upload lên diễn đàn để mọi người cùng dùng hoặc gửi vào hòm thư: heaven2407@gmal.com

Chân thành cảm ơn

Similar topics from web:

-: Lisp vẽ pline mũi tên 2 đầu

Sử dụng AutoLisp trong AutoCad

-: Lisp tạo và chỉnh sửa menu.

Trí tuệ nhân tạo – Wikipedia tiếng Việt

-: Lisp rải đối tượng theo đường dẩn bổ sung điểm xuất phát.

Download Phần mềm thống kê cốt thép TIP

-: Hoàn thiện lisp rải đối tượng theo đường dẩn.

Vẽ trắc ngang xử lý đất yếu với Autolisp

Lisp tạo khung viewport bằng cách chọn khung bên Model

Kinh ngiệm dùng CAD và LISP

TVplot

Học Inventor tại Hà Nội

Khung tên để tạo LISP

TH3D

AutoLisp

 

 

====================

 

- Nhờ anh và các anh sửa giúp em cái code trên để khi vẽ khung và xuất tọa độ tại bản vẽ giống như bản vẽ lần #22 của anh. (cụ thể ở code trên cần sửa Text Times New Roman tách 3 số đầu giống như bài post #22 và khung tọa độ cũng giống thế)dạ cảm ơn nhiều!.

- xin lỗi vì em không thể post file hoặc hình ảnh lên đây được vì chức năng up mấy ngày hôm nay không thấy hiện lên.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

oh, hôm nay mới thấy lai cai upload lại, nên up nhờ các bác giúp em như hình vẽ dưới đây với!

(defun c:kh ();;; (princ "\n                      CHUONG TRINH VE KHUNG BAN DO .")(command "osnap" "Endpoint,Intersection")(setvar "blipmode" 1)   (setq sp (getpoint "\n Chon goc khung thu 1 (Goc trai ben tren): "))   (setq ep (getpoint sp "\n Chon goc khung thu 2 (Goc phai ben duoi): "));   (princ "\n Chon goc khung thu 1 (Goc trai ben tren): ");   (setq sp (getpoint)) ;  (prompt "\n Chon goc khung thu 2 (Goc phai ben duoi): ") ;  (setq ep (getcorner (getpoint)) )  (command "osnap" "off")   (setq tyle (getint "\n Hay cho ty le ban do <500>: "))   (if (= tyle nil) (setq tyle 500.0))(setvar "blipmode" 0);;--- Dat bien chung cho chuong trinh -----  (setq x1 (nth 0 sp)) (setq y1 (nth 1 sp))  (setq x2 (nth 0 ep)) (setq y2 (nth 1 ep))  (setq dayn (/ (* tyle 0.05) 500.0))  (setq kctn (/ tyle 142.857))  (setq ktmk (/ (* tyle 1.75) 500.0))  (setq caoc (/ (* tyle 0.90) 500.0))  (setq dich (/ (* tyle 0.33) 500.0));;;---- ve khung trong ------   (command "LAYER" "M" "KHUNG" "")   (Command "PLINE"             (list x1 y1)             (list x2 y1)             (list x2 y2)             (list x1 y2)             "C"   );;;;-------Ve khung ngoai ----------   (command "LAYER" "M" "KHUNG" "")   (Command "PLINE"             (list (- x1 kctn) (+ y1 kctn)) "w" dayn dayn             (list (+ x2 kctn) (+ y1 kctn))             (list (+ x2 kctn) (- y2 kctn))             (list (- x1 kctn) (- y2 kctn))             "C"   );;;------- Ve net ngang va doc ------- (setq nhay (/ tyle 10.0)) (setq tmpX1 (/ x1 nhay)) (setq tmpX2 (fix tmpX1)) (setq x (* tmpX2 nhay)) (setq tmpY1 (/ y2 nhay)) (setq tmpY2 (fix tmpY1)) (setq y (* tmpY2 nhay));-------------------------------------(command "style" "STANDARD" "" caoc "" "" "" "" "" "")(while (<= x x2)       (if (>= x x1)          (command "LINE" (list x y1) (list x (+ y1 kctn)) ""                   "LINE" (list x y2) (list x (- y2 kctn)) ""                   "TEXT" "C" (list x (+ y1 (/ kctn 2))) 0. (rtos x 2 0)                   "TEXT" "TC" (list x (- y2 (/ kctn 2))) 0. (rtos x 2 0)          )       ) ;endif  (setq x (+ x nhay)))(while (<= y y1)   (setq tmp1 (rtos y 2 0))   (setq len1 (strlen tmp1))   (if ( <= len1 3)      (progn (setq bef "000") (setq aff tmp1))      (progn (setq bef (substr tmp1 1 (- len1 3)))       (setq aff (substr tmp1 (- len1 2) 3))      )   ) ;;if      (if (>= y y2)           (command "LINE" (list x1 y) (list (- x1 kctn) y) ""                    "LINE" (list x2 y) (list (+ x2 kctn) y) ""                    "TEXT" "BC" (list (- x1 (/ kctn 2)) y) 0. bef                    "TEXT" "TC" (list (- x1 (/ kctn 2)) (- y dich)) 0. aff                    "TEXT" "BC" (list (+ x2 (/ kctn 2)) y) 0. bef                    "TEXT" "TC" (list (+ x2 (/ kctn 2)) (- y dich)) 0. aff           )      ); endif  (setq y (+ y nhay)));--------- Ve chu thap --------------(setq nhay (/ tyle 10.0)) (setq tmpX1 (/ x1 nhay)) (setq tmpX2 (fix tmpX1))(setq x (* tmpX2 nhay))(setq tmpY1 (/ y2 nhay)) (setq tmpY2 (fix tmpY1))(while (< x x2)  (setq y (* tmpY2 nhay))     (while (< y y1)        (if (and (>= x x1) (>= y y2))           (command "LINE" (list (- x ktmk) y) (list (+ x ktmk) y) "")        )        (if (and (>= y y2) (>= x x1))           (command "LINE" (list x (- y ktmk)) (list x (+ y ktmk)) "")        )       (setq y (+ y nhay))     )  (setq x (+ x nhay)))(command "REDRAW")); End of program 

 

và cả muốn vẽ tỷ lệ 500 gõ số 5, tỷ lệ 1000 gõ số 1 và 2000 gõ số 2 và lưu lại giá trị cho những lần sau.

http://www.cadviet.com/upfiles/3/104547_drawing.rar

104547_untitled_2.jpg104547_untitled2.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

oh, hôm nay mới thấy lai cai upload lại, nên up nhờ các bác giúp em như hình vẽ dưới đây với!

(defun c:kh ();;; (princ "\n                      CHUONG TRINH VE KHUNG BAN DO .")(command "osnap" "Endpoint,Intersection")(setvar "blipmode" 1)   (setq sp (getpoint "\n Chon goc khung thu 1 (Goc trai ben tren): "))   (setq ep (getpoint sp "\n Chon goc khung thu 2 (Goc phai ben duoi): "));   (princ "\n Chon goc khung thu 1 (Goc trai ben tren): ");   (setq sp (getpoint)) ;  (prompt "\n Chon goc khung thu 2 (Goc phai ben duoi): ") ;  (setq ep (getcorner (getpoint)) )  (command "osnap" "off")   (setq tyle (getint "\n Hay cho ty le ban do <500>: "))   (if (= tyle nil) (setq tyle 500.0))(setvar "blipmode" 0);;--- Dat bien chung cho chuong trinh -----  (setq x1 (nth 0 sp)) (setq y1 (nth 1 sp))  (setq x2 (nth 0 ep)) (setq y2 (nth 1 ep))  (setq dayn (/ (* tyle 0.05) 500.0))  (setq kctn (/ tyle 142.857))  (setq ktmk (/ (* tyle 1.75) 500.0))  (setq caoc (/ (* tyle 0.90) 500.0))  (setq dich (/ (* tyle 0.33) 500.0));;;---- ve khung trong ------   (command "LAYER" "M" "KHUNG" "")   (Command "PLINE"             (list x1 y1)             (list x2 y1)             (list x2 y2)             (list x1 y2)             "C"   );;;;-------Ve khung ngoai ----------   (command "LAYER" "M" "KHUNG" "")   (Command "PLINE"             (list (- x1 kctn) (+ y1 kctn)) "w" dayn dayn             (list (+ x2 kctn) (+ y1 kctn))             (list (+ x2 kctn) (- y2 kctn))             (list (- x1 kctn) (- y2 kctn))             "C"   );;;------- Ve net ngang va doc ------- (setq nhay (/ tyle 10.0)) (setq tmpX1 (/ x1 nhay)) (setq tmpX2 (fix tmpX1)) (setq x (* tmpX2 nhay)) (setq tmpY1 (/ y2 nhay)) (setq tmpY2 (fix tmpY1)) (setq y (* tmpY2 nhay));-------------------------------------(command "style" "STANDARD" "" caoc "" "" "" "" "" "")(while (<= x x2)       (if (>= x x1)          (command "LINE" (list x y1) (list x (+ y1 kctn)) ""                   "LINE" (list x y2) (list x (- y2 kctn)) ""                   "TEXT" "C" (list x (+ y1 (/ kctn 2))) 0. (rtos x 2 0)                   "TEXT" "TC" (list x (- y2 (/ kctn 2))) 0. (rtos x 2 0)          )       ) ;endif  (setq x (+ x nhay)))(while (<= y y1)   (setq tmp1 (rtos y 2 0))   (setq len1 (strlen tmp1))   (if ( <= len1 3)      (progn (setq bef "000") (setq aff tmp1))      (progn (setq bef (substr tmp1 1 (- len1 3)))       (setq aff (substr tmp1 (- len1 2) 3))      )   ) ;;if      (if (>= y y2)           (command "LINE" (list x1 y) (list (- x1 kctn) y) ""                    "LINE" (list x2 y) (list (+ x2 kctn) y) ""                    "TEXT" "BC" (list (- x1 (/ kctn 2)) y) 0. bef                    "TEXT" "TC" (list (- x1 (/ kctn 2)) (- y dich)) 0. aff                    "TEXT" "BC" (list (+ x2 (/ kctn 2)) y) 0. bef                    "TEXT" "TC" (list (+ x2 (/ kctn 2)) (- y dich)) 0. aff           )      ); endif  (setq y (+ y nhay)));--------- Ve chu thap --------------(setq nhay (/ tyle 10.0)) (setq tmpX1 (/ x1 nhay)) (setq tmpX2 (fix tmpX1))(setq x (* tmpX2 nhay))(setq tmpY1 (/ y2 nhay)) (setq tmpY2 (fix tmpY1))(while (< x x2)  (setq y (* tmpY2 nhay))     (while (< y y1)        (if (and (>= x x1) (>= y y2))           (command "LINE" (list (- x ktmk) y) (list (+ x ktmk) y) "")        )        (if (and (>= y y2) (>= x x1))           (command "LINE" (list x (- y ktmk)) (list x (+ y ktmk)) "")        )       (setq y (+ y nhay))     )  (setq x (+ x nhay)))(command "REDRAW")); End of program 

 

và cả muốn vẽ tỷ lệ 500 gõ số 5, tỷ lệ 1000 gõ số 1 và 2000 gõ số 2 và lưu lại giá trị cho những lần sau.

http://www.cadviet.com/upfiles/3/104547_drawing.rar

Hề hề hề,

1/- Không hiểu yêu cầu của bạn:

nếu 500 thì nhập 5,

nếu 1000 thì nhập 1

Nếu 2000 thì nhập 2 

Vậy nếu 5000 thì nhập 50 hay 500 và nếu 50 thì nhập 0.5 hay 0.0005???????

2/- nếu đơn thuần chỉ là đổi font của tẽxt, tại sao bạn không vào tẽt style mà đổi, vừa nhanh lẹ, vừa chả phải phiền hà ai. Text do líp viết ra sử dụng style là Standard.

3/- cái việc thêm text cho góc khung là thêm cho góc trong hay góc ngoài??? nếu là góc ngoài thì ...... thật là .......

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cảm ơn anh đã quan tâm!

- 1/em thuong xuyen chi su dung 3 loai ti le 500, 1000, 2000 nen em can nhap vay cho nhanh.

- 2/ Text đó líp viết ra sử dụng style là Standard. cái này em đổi thành Times New Roman nhưng nó đổi toàn bộ bản vẽ thành kiểu chữ Standard và lỗi font (font đang dùng là Times New Roman).

(command "style" "STANDARD" "" caoc "" "" "" "" "" "")

=>(command "style" "text" "Times New Roman" "" caoc "" "" "" "" "" "")

- 3/ cái việc thêm text cho góc khung là thêm cho góc trong hay góc ngoài???

em muốn thêm góc trong như hình vẽ trên (chức năng up lai không được nữa rồi).

nhờ các anh quan tâm và giúp đỡ em với!

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

nhờ các anh quan tâm giúp, hôm nay chức năng up tự nhiên lại được.

ở code trên nó không vẽ toạ độ ở góc khung như như hình bên phải, nhờ các anh sửa code bài post #37 lại giúp em với. (góc trong như hình minh họa bên phải)

104547_104547_untitled2.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

anh bình ơi, giúp em với!

Hề hề hề,

Chả hiểu cái "quân tập" của bạn có ý nghĩa gì nên chịu chết chẳng thể làm gì.

Nếu cái "quân tập" ấy là vấn đề được nêu ở bài số 34 thì mình đã có ý kiến rồi. Còn nếu nó là vấn đề ở bài số 39 thì việc này tuy không khó nhưng mình rất ngại phải đụng vào cái lisp này vì cái bạn post lên phải mất công sắp xếp lại cấu trúc của nó trong khi mình không phải là người làm ra nó, không hiểu được toàn bộ ý đồ của người viết.

Nhưng thấy bạn kêu đích danh mà không trả lời thì cũng không phải nên đành cặm cụi ngồi làm lại cho bạn vậy.

Nên nhớ rằng mình chỉ bổ sung phần thêm vào toạ độ của các góc khung, còn các phần khác giữ nguyên chứ không đúng với yêu cầu của bạn ở bài số 34 đâu nhé. Phần bổ sung này cũng chỉ ghi toạ độ của góc khung theo style Standard đã được thiết lập trong lisp chứ không ghi đúng theo yêu cầu chữ to chữ nhỏ hay font VniTimes như bạn yêu cầu. Lý do là mình thấy không cần thiết phải cầu kỳ như vậy. Nếu bạn vẫn muốn thì hãy tự chỉnh nó vậy.

Của bạn đây:

http://www.4shared.com/file/FgZ5TwKJba/kh_online.html

 

PS: Thực ra mình thấy rằng lisp này không hoàn toàn đúng với yêu cầu tạo khung bản đồ mà bạn yêu cầu bởi việc ghi toạ độ theo trục x hoàn toàn không có phần tách thành hai thành phần . Tuy nhiên nếu bạn muốn có thể tham khảo phần mình bổ sung để biết cách tách rồi áp dụng vào. Việc ghi chữ to nhỏ khác nhau và thay đổi font cũng có thể làm được nếu bạn sử dụng thêm biến phụ để xác định chiều cao chữ và tên font với điều kiện bạn biết chắc chắn tên file font của bạn. Do mình không rảnh nên chưa thể giúp bạn mấy phần này. Mong bạn thông cảm.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cảm ơn anh rất nhiều vì sự nhiệt tình, do em không biết viết nên cứ tưởng đơn giản, dễ dàng chứ đâu biết là anh phải cặm cụi vậy đâu, em xin lỗi nhé!

1 lần nữa cảm ơn anh binh rất nhiều!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

- nhờ các anh 1 chút nữa được không ạ: 

Nhờ các anh sửa code trên có tọa độ khung có cách thể hiện giống như mảnh trích đo địa chính thửa đất theo thông tư 55/2013 của Bộ TNMT như hình kèm copy trong Thông tư với (em mới tìm ra nên làm phiền nữa)

104547_khung_trich_do_theo_tt55.jpg

Chỉnh sửa theo vuminhchau

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cái code anh bình sửa tương đối ổn, chí có mút chút nữa là nó hơi rối cách thể hiện ở góc khung (em muốn góc khung giống như hình em gửi ở trên theo TT55, nhờ các anh giúp!)

104547_untitled_4.jpghttp://www.cadviet.com/upfiles/3/104547_drawing.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cái code anh bình sửa tương đối ổn, chí có mút chút nữa là nó hơi rối cách thể hiện ở góc khung (em muốn góc khung giống như hình em gửi ở trên theo TT55, nhờ các anh giúp!)

104547_untitled_4.jpghttp://www.cadviet.com/upfiles/3/104547_drawing.dwg

Hề hề hề,

Dùng thử cái này coi sao. Nếu chưa ưng ý thì hãy so sánh nó với cái lisp lần trước mình sửa để thấy được những sự khác sau giữa 2 lisp. Từ đó suy luận ra cách sửa để làm cho nó phù hợp với yêu cầu của bạn, Trong quá trình tự sửa nếu có gì trục trặc thì post lên mình sẽ hướng dẫn . 

Chúc thành công.

http://www.4shared.com/file/CU6lwHnnce/kh__1_.html

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề hề hề,

Dùng thử cái này coi sao. Nếu chưa ưng ý thì hãy so sánh nó với cái lisp lần trước mình sửa để thấy được những sự khác sau giữa 2 lisp. Từ đó suy luận ra cách sửa để làm cho nó phù hợp với yêu cầu của bạn, Trong quá trình tự sửa nếu có gì trục trặc thì post lên mình sẽ hướng dẫn . 

Chúc thành công.

http://www.4shared.com/file/CU6lwHnnce/kh__1_.htmlch

 

Nhờ bạn chỉnh giúp vẽ khung trong và ngoài cách nhau 10 theo các tỷ lệ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề hề hề,

Dùng thử cái này coi sao. Nếu chưa ưng ý thì hãy so sánh nó với cái lisp lần trước mình sửa để thấy được những sự khác sau giữa 2 lisp. Từ đó suy luận ra cách sửa để làm cho nó phù hợp với yêu cầu của bạn, Trong quá trình tự sửa nếu có gì trục trặc thì post lên mình sẽ hướng dẫn . 

Chúc thành công.

http://www.4shared.com/file/CU6lwHnnce/kh__1_.html

nhờ các anh giúp thêm phần Text Style mặc định khi vẽ khung là VnArial với ạ!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề hề hề,

Dùng thử cái này coi sao. Nếu chưa ưng ý thì hãy so sánh nó với cái lisp lần trước mình sửa để thấy được những sự khác sau giữa 2 lisp. Từ đó suy luận ra cách sửa để làm cho nó phù hợp với yêu cầu của bạn, Trong quá trình tự sửa nếu có gì trục trặc thì post lên mình sẽ hướng dẫn . 

Chúc thành công.

http://www.4shared.com/file/CU6lwHnnce/kh__1_.html

bác phamthanhbinh sửa giúp em đối tượng text ở trục X như trong hình với ạ

 

http://upfile.vn/jsFCNrBCKVBC/drawing1-dwg.html

 

em cám ơn a.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×